<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('seuils', function (Blueprint $table) {
            $table->id();
            $table->decimal('accord',10,2);
            // $table->decimal('max',10,2);
            $table->foreignId('user_id')->constrained()->onDelete(null);
            $table->timestamps();
            $table->softDeletes();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('seuils');
    }
};
